<?php
 session_start();
 $nick=$_SESSION['nick'];
 require ("conecta.php");
 //*********busqueda y asignacion en matrices
 //*********de los módulos existentes
 $contmod=0;
 $codmod="";
 $glmod="";
 $sqlmod="select * from m06001";
 $resmod=mysql_query($sqlmod) or die(mysql_error()); 
 while ($filamod=mysql_fetch_row($resmod)){
   $contmod++;
   $codmod[$contmod]=$filamod[0];
   $glmod[$contmod]=$filamod[1];
   }//fin while
 //**********************************
 //**********************************
 //*********busqueda y asignacion en matrices
 //*********de los Submódulos existentes
 $contsmod=0;
 $codsmod="";
 $glsmod="";
 $sqlsmod="select * from m06003";
 $ressmod=mysql_query($sqlsmod) or die(mysql_error()); 
 while ($filasmod=mysql_fetch_row($ressmod)){
   $contsmod++;
   $codsmod[$contsmod]=$filasmod[0];
   $glsmod[$contsmod]=$filasmod[1];
   }//fin while
 //**********************************
 //**********************************
 
 
 //*******consultamos los permisos del usuario
 //*********************************************
 $codper="";
 $glper="";
 $contper=0;
 $sqlper="select m06005.programa,m06004.glosa,m06005.usuario  from m06005 INNER JOIN m06004 on m06005.programa=m06004.codigo where usuario='$nick' order by 1;";
 $resper=mysql_query($sqlper) or die(mysql_error());
 $cuentamodulos=0;
 $cuentasubmodulos=0;
 $cmod="";//almacena los codigos de los modulos que tiene el usuario 
 $swmod="";
 while ($filaper=mysql_fetch_row($resper)){ //while 1
  $contper++;
  $codper[$contper]=$filaper[0];  
  $glper[$contper]=$filaper[1];  
  //***vemos los modulos
  if (substr($codper[$contper],0,3)<>$swmod){//si 1
   $cuentamodulos++;
   $cmod[$cuentamodulos]=substr($codper[$contper],0,3); 
   $swmod=substr($codper[$contper],0,3);  
   $sqlm="select * from m06001 where codigo='$swmod';";
   $resm=mysql_query($sqlm);
   while ($filam=mysql_fetch_row($resm)){//while 2
    $gmod[$cuentamodulos]=$filam[1];
    }//fin while 2
  }//fin si	1  
   //***vemos los submodulos
   $esta="no";
      
   if (substr($codper[$contper],3,2)<>$swsmod){//si 2    
   
   
   for ($z=1;$z<=$cuentasubmodulos;$z++){//for *
    if (substr($codper[$contper],0,5)==$csmod[$z]){//si*
	 $esta="si";
	 //echo $esta ."<br>";	
	 }//fin si *
	 //
	}//fin for* 
   if ($esta=="no"){ //fin esta
   	$cuentasubmodulos++;
    $csmod[$cuentasubmodulos]=substr($codper[$contper],0,5); 
    $swsmod=substr($codper[$contper],0,5);  
	$swsmod2=substr($swsmod,3,2);
    $sqlsm="select * from m06003 where codigo='$swsmod2' ;";
    $ressm=mysql_query($sqlsm);
    while ($filasm=mysql_fetch_row($ressm)){//while 3
     $gsmod[$cuentasubmodulos]=$filasm[1];
     }//fin while 3 	
	}//fin esta 
	 //echo substr($codper[$contper],3,2) . " " . $csmod[$cuentasubmodulos] . " " . $cuentasubmodulos . "<br>";
   }//fin si 2  	
 
  }//fin wuile 1
//******************************************************
//*****	*************************************************  
  
//*********escritura del menú de acuerdo
//*********a la información recopilada 
 echo"<script languaje='javascript'>
 var MENU_ITEMS = ["; //comienzo del menú
 for ($x=1;$x<=$cuentamodulos;$x++){//for 1
  $mod=ucwords(strtolower($gmod[$x]));
  echo "['$mod',null,null,";
  for ($y=1;$y<=$cuentasubmodulos;$y++){
   $gsmodu=ucwords(strtolower($gsmod[$y]));
   if (substr($csmod[$y],0,3)==$cmod[$x]){//si #
    echo "['$gsmodu',null,null,";
	$clave=$cmod[x] . $csmod[$y];
	$sqlf="select DISTINCT m06005.programa,m06004.glosa  from m06005 INNER JOIN m06004 on m06005.programa=m06004.codigo where m06005.programa like '$clave%' and m06005.usuario='$nick'  order by 1;";
	$resf=mysql_query($sqlf) or die(mysql_error());
	while ($filaf=mysql_fetch_row($resf)){//while f
	 $prog=$filaf[0] . ".php";
	 $glprog=ucwords(strtolower($filaf[1]));
	 echo "['$glprog','$prog',null,],";
	 }//fin while f
    echo "],";
	}//fin si #
   }//fin for $y  
  echo "],";
 }//fin for 1
 echo "]"; // fin del menú  
 echo "</script>"; 
 //for ($x=1;$x<=$cuentasubmodulos;$x++){
  //echo $csmod[$x] ."<br>";
 //}
 //echo $cuentamodulos;
 mysql_close($con);
 ?>

